Name:           python-aspects
Version:        1.3
Release:        1.3
Summary:        Lightweight Aspect-Oriented Programming Extension to Python
URL:            http://www.cs.tut.fi/~ask/aspects/download.shtml
License:        LGPL 2.1
Group:          Development/Libraries/Python
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
%{py_requires}
BuildRequires:  python-devel

%description
aspects.py is a lightweight and low-level library for intercepting function
calls. Functions and methods (also in Python standard library and third party
code) can be wrapped so that when they are called, the wrap is invoked first.
Depending on the wrap, the execution of the original function can be omitted,
or the function can be called arbitrarily many times. Wraps are able to modify
the call arguments and the return values of wrapped functions and handle
exceptions. There can be many wraps on the same function. The wraps can be
enabled, disabled and removed in any order. In the terminology of aspect-
oriented programming, the library allows applying advices (wraps) to call join
points of methods and functions in around fashion.

Authors:
--------
    Antti Kervinen <ask@cs.tut.fi>

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc examples LICENSE.txt

%changelog

* Tue Dec 02 2008 - James Oakley <jfunk@funktronics.ca> - 1.3-1
- Initial release
